package com.madeu.service.web.webholidaymanagement;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

public interface WebHolidayManagementService {

	public List<Map<String, Object>> selectListHolidayManagementExcel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectListHolidayManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> selectHolidayManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> insertHolidayManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateHolidayManagement(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> updateHolidayManagementCancel(HashMap<String, Object> paramMap) throws Exception;
	public HashMap<String, Object> deleteHolidayManagement(HashMap<String, Object> paramMap) throws Exception;

}
